cancel
Showing results for 
Search instead for 
Did you mean: 

Error at fiori add deploy-config cf, add deployment config for sap fiori element risk application

gaurav_setu
Explorer
0 Kudos
1,457

I am at step 9 of this tutorial Prepare SAP Build Work Zone, Standard Edition Setup.

I get error when I run command - fiori add deploy-config cf

D:\CFTutorials\cpapp\app\risks>fiori add deploy-config cf

Adding deploy-config to the project.

info Add:Deploy-config Using: @sap/fiori:deploy-config

? Destination name cpapp-app-srv

? Editing the deployment configuration will overwrite existing configuration, are you sure you want to continue? Yes

Error @sap/fiori:deploy-config cf --base ui5.yaml --config ui5-deploy.yaml

could not update the "C:\Users\gaura\AppData\Local\Temp\ff7e462c05010795ef7c05afc194af8f.temp.mta.yaml" file; it was modified by another process

Do you need to install @sap/generator-fiori globally?

npm install -g @sap/generator-fiori

OR

yarn global add @sap/generator-fiori

D:\CFTutorials\cpapp\app\risks>

I have already followed these steps:

I followed solution provided at https://answers.sap.com/questions/13673725/error-5.html but did not resolve, tried adding suggested dependencies in app/risks/package.json.

Node version I am using is

D:\CFTutorials\cpapp\app\risks>node -v

v18.16.0

D:\CFTutorials\cpapp\app\risks>npm -v

9.7.1

Whole app and mta.yaml file can be checked at:

https://github.com/gksetu/CFPractice

Please help.

Accepted Solutions (0)

Answers (8)

Answers (8)

former_member13323
Participant

hunterzhang2019 Just do npm i -g mta@1.0.4 to overwrite your version

VenkyM
Participant
0 Kudos

This worked, thanks

jlong
Product and Topic Expert
Product and Topic Expert

Please refer to this tutorial https://github.com/SAP-samples/fiori-tools-samples/tree/main/cap to compare your configurations are correct.

You need to ensure the root mta.yaml is generated before running deployment config against a Fiori UI application.

As regards the issue with unexpected fault address 0xffffffffffffffff, please refer to this link https://github.com/SAP/cloud-mta/issues/287 as its an issue with the SAP/cloud-mta project.

hh
Explorer
0 Kudos

I had the same error. For me it was solved after I simply deleted the file that is shown directly from the temp directory.

Arif1
Active Participant
0 Kudos

I am also facing the same issue 😞

former_member13323
Participant
0 Kudos

This issue is still there for me as well.

I downgraded my mta package to 1.0.4 and now its working again.

hunterzhang2019
Discoverer
0 Kudos

Can you please share how to downgrade MTA version? My current MTA version is v1.0.5

hunterzhang2019
Discoverer
0 Kudos

It's not working by upgrading @sap/generator-fiori. Tried it a few times. The issue is still there.

manjunath_ks1
Employee
Employee
0 Kudos

Hi,

It's possible the generators need to be updated,

Trigger updates of the generators:

  1. In VS Code, invoke the Command Palette ( View → Command Palette or Ctrl + Shift + P ) and choose Fiori: Open Application Generator.
  2. Click on the link "Explore and Install Generators".
  3. Next to search for Generators input field there is a dropdown called "Search Shortcuts", click on the dropdown and select "SAP Fiori". VS Code should install and updates for generators if available. there will be a message in the status bar area.

Hope that helps.

Best regards,
Manju

gaurav_setu
Explorer
0 Kudos

I will try it the next time I get any issue. I am good for now. After much searching i tried to check .tmp file finally and found that it is same like mta.yaml file but not the recent one so i copied mta.yaml to .tmp file and it worked. Thank you!

asifalisap
Explorer

hi Manjunath Kodehalli Shankar

I checked the Generators updates (@sap/generator-fiori

1.10.5) it is up to date. but facing different issue

can help me out in this ??

Error @sap/fiori:deploy-config cf --base ui5.yaml --config ui5-deploy.yaml 

[2023-08-24 02:05:45]  INFO get parameters
unexpected fault address 0xffffffffffffffff
fatal error: fault
[signal 0xc0000005 code=0x0 addr=0xffffffffffffffff pc=0x7f019f]

goroutine 1 [running]:
runtime.throw({0xb895b1?, 0x39ba9c06f99a3edc?})
        /usr/local/go/src/runtime/panic.go:992 +0x76 fp=0xc00013f620 sp=0xc00013f5f0 pc=0x7c6516
runtime.sigpanic()
        /usr/local/go/src/runtime/signal_windows.go:261 +0x125 fp=0xc00013f668 sp=0xc00013f620 pc=0x7d94e5
aeshashbody()
        /usr/local/go/src/runtime/asm_amd64.s:1343 +0x39f fp=0xc00013f670 sp=0xc00013f668 pc=0x7f019f
runtime.mapiternext(0xc00014d840)
        /usr/local/go/src/runtime/map.go:934 +0x2cb fp=0xc00013f6e0 sp=0xc00013f670 pc=0x79ff6b
runtime.mapiterinit(0x0?, 0xc00024b4b0?, 0xc0001d7451?)
        /usr/local/go/src/runtime/map.go:861 +0x228 fp=0xc00013f700 sp=0xc00013f6e0 pc=0x79fc48
reflect.mapiterinit(0xb41840?, 0xc00013f7b0?, 0xc00013f7d0?)
        /usr/local/go/src/runtime/map.go:1373 +0x19 fp=0xc00013f728 sp=0xc00013f700 pc=0x7eccf9
github.com/modern-go/reflect2.(*UnsafeMapType).UnsafeIterate(...)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/modern-go/reflect2/unsafe_map.go:112
github.com/json-iterator/go.(*mapEncoder).Encode(0xc00024e3f0, 0xc0001d7028, 0xc00015cae0)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect_map.go:257 +0x21c fp=0xc00013f7e0 sp=0xc00013f728 pc=0xa0827c
github.com/json-iterator/go.(*OptionalEncoder).Encode(0xc0001108c0?, 0x0?, 0x0?)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect_optional.go:70 +0xa4 fp=0xc00013f830 sp=0xc00013f7e0 pc=0xa0de84
github.com/json-iterator/go.(*onePtrEncoder).Encode(0xc00024b490, 0xc0001d7028, 0xc00024e2a0?)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect.go:219 +0x82 fp=0xc00013f868 sp=0xc00013f830 pc=0xa00e22
github.com/json-iterator/go.(*Stream).WriteVal(0xc00015cae0, {0xb0f2e0, 0xc0001d7028})
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect.go:98 +0x158 fp=0xc00013f8d8 sp=0xc00013f868 pc=0xa00138
github.com/json-iterator/go.(*dynamicEncoder).Encode(0xb36720?, 0xc0001d7301?, 0xc00015caf8?)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect_dynamic.go:15 +0x39 fp=0xc00013f908 sp=0xc00013f8d8 pc=0xa027f9
github.com/json-iterator/go.(*structFieldEncoder).Encode(0xc00024e150, 0xb05aba?, 0xc00015cae0)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect_struct_encoder.go:110 +0x56 fp=0xc00013f980 sp=0xc00013f908 pc=0xa162b6
github.com/json-iterator/go.(*structEncoder).Encode(0xc00024e210, 0xc19bc8?, 0xc00015cae0)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect_struct_encoder.go:158 +0x765 fp=0xc00013fa68 sp=0xc00013f980 pc=0xa16cc5
github.com/json-iterator/go.(*Stream).WriteVal(0xc00015cae0, {0xb50f00, 0xc0001cbce0})
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/reflect.go:98 +0x158 fp=0xc00013fad8 sp=0xc00013fa68 pc=0xa00138
github.com/json-iterator/go.(*frozenConfig).Marshal(0xc0001108c0, {0xb50f00, 0xc0001cbce0})
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/config.go:299 +0xc9 fp=0xc00013fb70 sp=0xc00013fad8 pc=0x9f7249
github.com/json-iterator/go.Marshal({0xb50f00?, 0xc0001cbce0?})
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/json-iterator/go/adapter.go:34 +0x3b fp=0xc00013fb98 sp=0xc00013fb70 pc=0x9eb89b
github.com/SAP/cloud-mta/mta.printResult({0xb0f2e0?, 0xc0001d7028?}, {0x0?, 0x1?, 0x0?}, 0x5000106?, {0x0?, 0x0?}, 0xbb0368, 0xbb0648)
        /home/circleci/go/src/github.com/SAP/cloud-mta/mta/mta_services.go:482 +0x2fe fp=0xc00013fcd8 sp=0xc00013fb98 pc=0xa44c3e
github.com/SAP/cloud-mta/mta.WriteResult(...)
        /home/circleci/go/src/github.com/SAP/cloud-mta/mta/mta_services.go:467
github.com/SAP/cloud-mta/mta.RunAndWriteResultAndHash({0xb8ce20?, 0x8be1d1?}, {0xc0001200a0, 0x50}, {0x0?, 0x0, 0x0?}, 0xbb0448)
        /home/circleci/go/src/github.com/SAP/cloud-mta/mta/mta_services.go:514 +0x14c fp=0xc00013fd88 sp=0xc00013fcd8 pc=0xa450ec
github.com/SAP/cloud-mta/cmd.glob..func10(0xe622a0?, {0xc000112d40?, 0x2?, 0x2?})
        /home/circleci/go/src/github.com/SAP/cloud-mta/cmd/mta.go:220 +0x4f fp=0xc00013fdd8 sp=0xc00013fd88 pc=0xaef2cf
github.com/spf13/cobra.(*Command).execute(0xe622a0, {0xc000112d00, 0x2, 0x2})
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/spf13/cobra/command.go:852 +0x67c fp=0xc00013feb0 sp=0xc00013fdd8 pc=0x90a45c
github.com/spf13/cobra.(*Command).ExecuteC(0xe63e20)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/spf13/cobra/command.go:960 +0x39c fp=0xc00013ff68 sp=0xc00013feb0 pc=0x90aa3c
github.com/spf13/cobra.(*Command).Execute(...)
        /home/circleci/go/src/github.com/SAP/cloud-mta/vendor/github.com/spf13/cobra/command.go:897
github.com/SAP/cloud-mta/cmd.Execute(...)
        /home/circleci/go/src/github.com/SAP/cloud-mta/cmd/root.go:33
main.main()
        /home/circleci/go/src/github.com/SAP/cloud-mta/main.go:11 +0x25 fp=0xc00013ff80 sp=0xc00013ff68 pc=0xaf0865
runtime.main()
        /usr/local/go/src/runtime/proc.go:250 +0x1fe fp=0xc00013ffe0 sp=0xc00013ff80 pc=0x7c8b1e
runtime.goexit()
        /usr/local/go/src/runtime/asm_amd64.s:1571 +0x1 fp=0xc00013ffe8 sp=0xc00013ffe0 pc=0x7f2f01
Do you need to install @sap/generator-fiori globally?
npm install -g @sap/generator-fiori
OR
yarn global add @sap/generator-fiori
RyanR
Advisor
Advisor

downgrad mta@1.0.5 to mta@1.0.4

arjun_pv
Discoverer
0 Kudos

Hi manjunath_ks,

I am facing the same issue and tried all the solutions suggested here. Can you please help me with this? I am following your tutorial

https://developers.sap.com/tutorials/btp-app-work-zone-setup.html

hiro168
Discoverer
0 Kudos

I have installed "@sap/generator-fiori" version 1.12.1 but I have got same issue in "Prepare SAP Build Work Zone, Standard Edition Setup" step 9.

When I did "fiori add deploy-config cf", I have got below message:
----

Adding deploy-config to the project.

info Add:Deploy-config Using: @sap/fiori:deploy-config

Error @sap/fiori:deploy-config cf --base ui5.yaml --config ui5-deploy.yaml

Current environment doesn't provides some necessary feature this generator needs.

Do you need to install @sap/generator-fiori globally?

npm install -g @sap/generator-fiori

OR

yarn global add @sap/generator-fiori

----

junwu
Active Contributor
0 Kudos

it says node js v16, you are v18. that could be the issue.

gaurav_setu
Explorer
0 Kudos

that may be true but i am doing this practice almost year down when solution on other question was given and that worked for many. latest version of node available is v18. Either tutorial has become outdated or their modules are not flexible

manjunath_ks1
Employee
Employee
0 Kudos

No, Node 18 is fine, 16 is just the minimum requirement.